'To produce a legend for H ions, one target, from HSCS.prn
'obtained from HSCS.xls, column width 11.
'Period must be after every target name, even if no number!
PRINT "Data for one target must be in sequence!"

DIM Ref$(100), ExpError$(100), Estim(100)
'Estim =1 if "e" present, otherwise =0

INPUT "Enter name of target:  ", Target$
OPEN "HSCS.prn" FOR INPUT AS #1
OutFile$ = "H" + Target$ + ".txt"
PRINT OutFile$
SLEEP 1
OPEN OutFile$ FOR OUTPUT AS #2

start: IF EOF(1) < 0 THEN GOTO endsearch:
LINE INPUT #1, Line$

FOR i = 1 TO 10                          'look for period after target name
        IF MID$(Line$, 89 + i, 1) = "." THEN GOTO there:
NEXT
there: Test$ = MID$(Line$, 89, i)       'Name of target as found in Line$
IF Test$ <> Target$ THEN GOTO start:       'Next line

FileNumb = VAL(MID$(Line$, 90 + i, 3))              '3-digit file number
Ref$(FileNumb) = MID$(Line$, 45, 6)         '(=0 if no number given)

ExpError$ = MID$(Line$, 34, 8)
ExpError = VAL(ExpError$)
ExpError$(FileNumb) = STR$(ExpError)

Estim = 0
FOR i = 1 TO 8                                        'check for "e"
        IF MID$(Line$, 34 + i, 1) = "e" THEN Estim = 1: GOTO Est:
NEXT
Est: Estim(FileNumb) = Estim


GOTO start:

endsearch:
FOR j = 1 TO FileNumb
        Estim$ = ""
        IF Estim(j) = 1 THEN Estim$ = "e"
       ' Symbol$ = CHR$(j + 64)
        IF j < 27 THEN Symbol$ = CHR$(j + 64) ELSE Symbol$ = CHR$(j + 70)
        PRINT Symbol$ + " "; Ref$(j); ExpError$(j) + Estim$ + "%"
        PRINT #2, Symbol$ + " "; Ref$(j); ExpError$(j) + Estim$ + "%"
NEXT

END







